MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0032248Open CASCADE[OCCT] OCCT:Visualizationpublic2021-03-26 14:192021-04-03 12:50
Reporterosa 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.6.0*Fixed in Version 
Summary0032248: Visualization - load "false" deferred glTF data immediately
DescriptionLoading of glTF data encoded in base64 should not be skipped and saved in "proxy" object to be loaded later. Its stream buffer should be copied to triangulation object immediately while reading the file
Steps To ReproduceNot required
TagsNo tags attached.
Test case numberde_mesh/gltf_lateload/helmet
Attached Files

- Relationships
related to 0032086verifiedbugmaster Visualization - support deferred data loading 

-  Notes
(0099763)
git (administrator)
2021-03-26 15:02

Branch CR32248 has been created by osa.

SHA-1: 73c9f64b3b678851c27fffe8de8df38783e902f2


Detailed log of new commits:

Author: osa
Date: Fri Mar 26 15:02:41 2021 +0300

    0032248: Visualization - load "false" deferred glTF data immediately
(0099769)
osa (developer)
2021-03-26 16:32

(0099772)
osa (developer)
2021-03-26 17:44

http://vm-jenkins-test-12.nnov.opencascade.com:8080/view/CR32248-CR32086_4-OSA/view/ALL/ [^]
(0099773)
git (administrator)
2021-03-26 18:08

Branch CR32248 has been updated by osa.

SHA-1: 517b10c0e2e8031732c92e1c4b52047ae0b0d3ab


Detailed log of new commits:

Author: osa
Date: Fri Mar 26 18:08:13 2021 +0300

    #kgv remarks

(0099804)
git (administrator)
2021-03-29 10:05

Branch CR32248 has been updated forcibly by osa.

SHA-1: c79073afdf5074bd3234fe91ebc81b1524f910b0
(0099805)
osa (developer)
2021-03-29 11:03

http://vm-jenkins-test-12.nnov.opencascade.com:8080/view/CR32248-master-OSA/view/ALL/ [^]
(0099806)
git (administrator)
2021-03-29 11:48

Branch CR32248 has been updated forcibly by osa.

SHA-1: 939c5e66d41bbe3a653972c826efe4e8d4f1c515
(0099812)
osa (developer)
2021-03-29 12:29

The patch is ready to review
(0100015)
bugmaster (administrator)
2021-04-03 11:55

Combination -
OCCT branch : IR-2021-04-02
master SHA - 5e4f263d1cfd948e6a91aa584919bb6d86256a86
a87b7ddc8cb44606b91e3f37113847c3f5f50fdc
Products branch : IR-2021-04-02 SHA - 7cc5f9bb4eb61152ffc5290516ae20c649a33a55
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 18055.90000000045 / 18179.810000000525 [-0.68%]
Products
Total CPU difference: 11506.800000000105 / 11565.220000000114 [-0.51%]
Windows-64-VC14:
OCCT
Total CPU difference: 19512.09375 / 19430.5 [+0.42%]
Products
Total CPU difference: 12943.234375 / 12843.765625 [+0.77%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0100060)
git (administrator)
2021-04-03 12:50

Branch CR32248 has been deleted by inv.

SHA-1: 939c5e66d41bbe3a653972c826efe4e8d4f1c515

- Related Changesets
occt: master 5443dd2f
Timestamp: 2021-03-26 12:02:41
Author: osa
Committer: bugmaster
Details ] Diff ]
0032248: Visualization - load "false" deferred glTF data immediately
mod - src/Poly/Poly_Triangulation.cxx Diff ] File ]
mod - src/RWGltf/RWGltf_CafReader.cxx Diff ] File ]
mod - src/RWGltf/RWGltf_CafReader.hxx Diff ] File ]
mod - src/RWGltf/RWGltf_GltfLatePrimitiveArray.cxx Diff ] File ]
mod - src/RWGltf/RWGltf_GltfLatePrimitiveArray.hxx Diff ] File ]
mod - src/RWGltf/RWGltf_TriangulationReader.cxx Diff ] File ]
mod - src/RWGltf/RWGltf_TriangulationReader.hxx Diff ] File ]
add - tests/de_mesh/gltf_lateload/helmet Diff ] File ]

- Issue History
Date Modified Username Field Change
2021-03-26 14:19 osa New Issue
2021-03-26 14:19 osa Assigned To => kgv
2021-03-26 14:19 osa Assigned To kgv => osa
2021-03-26 14:19 osa Status new => assigned
2021-03-26 15:02 git Note Added: 0099763
2021-03-26 16:27 osa Relationship added related to 0032086
2021-03-26 16:32 osa Note Added: 0099769
2021-03-26 17:44 osa Note Added: 0099772
2021-03-26 18:08 git Note Added: 0099773
2021-03-29 10:05 git Note Added: 0099804
2021-03-29 11:03 osa Note Added: 0099805
2021-03-29 11:48 git Note Added: 0099806
2021-03-29 12:29 osa Note Added: 0099812
2021-03-29 12:29 osa Assigned To osa => kgv
2021-03-29 12:29 osa Status assigned => resolved
2021-03-29 12:29 osa Steps to Reproduce Updated View Revisions
2021-03-29 12:35 kgv Assigned To kgv => bugmaster
2021-03-29 12:35 kgv Status resolved => reviewed
2021-04-03 11:55 bugmaster Note Added: 0100015
2021-04-03 11:55 bugmaster Status reviewed => tested
2021-04-03 12:00 bugmaster Test case number => de_mesh/gltf_lateload/helmet
2021-04-03 12:13 bugmaster Changeset attached => occt master 5443dd2f
2021-04-03 12:13 bugmaster Status tested => verified
2021-04-03 12:13 bugmaster Resolution open => fixed
2021-04-03 12:50 git Note Added: 0100060


Copyright © 2000 - 2021 MantisBT Team
Powered by Mantis Bugtracker